# Duplicate a resume

Creates a copy of an existing resume with the same data. Optionally override the name, slug, and tags for the duplicate. If not provided, the original resume's name, slug, and tags are used. Returns the ID of the duplicated resume. Requires authentication.

```http
POST https://hiresweep.com/api/openapi/resumes/{id}/duplicate
x-api-key: YOUR_API_KEY
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes |  |

## Request body

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "description": "The name of the resume."
    },
    "slug": {
      "type": "string",
      "minLength": 1,
      "description": "The slug of the resume."
    },
    "tags": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "description": "The tags of the resume."
    }
  },
  "required": [
    "name",
    "slug",
    "tags"
  ]
}
```

## Responses

- `200`: The ID of the duplicated resume.
